<?php

if (!defined('ABSPATH')) exit;

function sap_install_database() {
    global $wpdb;

    $charset_collate = '';

    $table_log = $wpdb->prefix.'sap_play_log';

    if (!empty($wpdb->charset)) {
        $charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
    }

    if (!empty($wpdb->collate)) {
        $charset_collate.= " COLLATE $wpdb->collate";
    }

    $query = "CREATE TABLE $table_log (
 id bigint(20) unsigned NOT NULL AUTO_INCREMENT,
 type varchar(32) NOT NULL DEFAULT 'playlist',
 source varchar(32) NOT NULL DEFAULT 'page',
 post_id bigint(20) unsigned NOT NULL DEFAULT '0',
 parent_id bigint(20) unsigned NOT NULL DEFAULT '0',
 user_id bigint(20) unsigned NOT NULL DEFAULT '0',
 plays int(10) unsigned NOT NULL DEFAULT '0',
 timer int(10) unsigned NOT NULL DEFAULT '0',
 played datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
 ip varchar(64) NOT NULL DEFAULT '',
 PRIMARY KEY  (id),
 KEY type (type),
 KEY source (source),
 KEY post_id (post_id),
 KEY parent_id (parent_id),
 KEY user_id (user_id)
) $charset_collate";

    require_once(ABSPATH.'wp-admin/includes/upgrade.php');

    return dbDelta($query);
}

function sap_check_database() {
    global $wpdb;

    $result = array();
    $tables = array($wpdb->prefix.'sap_play_log' => 10);

    foreach ($tables as $table => $count) {
        if ($wpdb->get_var("SHOW TABLES LIKE '$table'") == $table) {
            $columns = $wpdb->get_results("SHOW COLUMNS FROM `$table`");

            if ($count != count($columns)) {
                $result[$table] = array('status' => 'error', 'msg' => __("Some columns are missing.", "smart-audio-playlists"));
            } else {
                $result[$table] = array('status' => 'ok');
            }
        } else {
            $result[$table] = array('status' => 'error', 'msg' => __("Table missing.", "smart-audio-playlists"));
        }
    }

    return $result;
}

?>