<?php

global $post_ID;

$playlist = sap_playlist($post_ID);

?>

<h4 class="sap-meta-title"><?php _e("Release Date", "smart-audio-playlists"); ?>:</h4>
<table class="sap-release-table">
    <tr>
        <td class="sap-year">
            <input name="sap[meta][release_date_year]" class="widefat sap-numeric" type="text" maxlength="4" value="<?php echo $playlist->release_date_year; ?>" />
            <em><?php _e("year", "smart-audio-playlists"); ?></em>
        </td>
        <td class="sap-month">
            <input name="sap[meta][release_date_month]" class="widefat sap-numeric" type="text" max="12" maxlength="2" value="<?php echo $playlist->release_date_month; ?>" />
            <em><?php _e("month", "smart-audio-playlists"); ?></em>
        </td>
        <td class="sap-day">
            <input name="sap[meta][release_date_day]" class="widefat sap-numeric" type="text" max="31" maxlength="2" value="<?php echo $playlist->release_date_day; ?>" />
            <em><?php _e("day", "smart-audio-playlists"); ?></em>
        </td>
    </tr>
</table>

<h4 class="sap-meta-title"><?php _e("Type", "smart-audio-playlists"); ?>:</h4>
<?php sap_render_select(smart_sap_core()->types, array(
    'selected' => $playlist->type, 'name' => 'sap[meta][type]', 'class' => 'widefat'
)); ?>

<h4 class="sap-meta-title"><?php _e("Edition", "smart-audio-playlists"); ?>:</h4>
<?php sap_render_select(smart_sap_core()->editions, array(
    'selected' => $playlist->edition, 'name' => 'sap[meta][edition]', 'class' => 'widefat'
)); ?>

<h4 class="sap-meta-title"><?php _e("Classification", "smart-audio-playlists"); ?>:</h4>
<label for="sap-details-various-artists">
    <input<?php echo $playlist->various_artists == 1 ? ' checked="checked"' : ''; ?> type="checkbox" class="widefat" name="sap[meta][various_artists]" id="sap-details-various-artists" />
    <?php _e("Various Artists", "smart-audio-playlists"); ?>
</label><br/>
<label for="sap-details-compilation">
    <input<?php echo $playlist->compilation == 1 ? ' checked="checked"' : ''; ?> type="checkbox" class="widefat" name="sap[meta][compilation]" id="sap-details-compilation" />
    <?php _e("Compilation", "smart-audio-playlists"); ?>
</label>
