<?php

$tax = get_query_var('sapindex');
$taxonomy = get_taxonomy($tax);

$class = 'smart-audio-playlist sap-index-playlists sap-index-tax-'.$tax;

$terms = sap_get_terms($tax, array('post_types' => 'sapplaylist'));
$terms = sap_terms_update_with_urls($terms, $tax);

$class = apply_filters('sap_template_index_classes', $class, 'sap-index-terms');

?>
<div class="<?php echo $class; ?>">
    <?php if (smart_sap_core()->get('templates_index_title')) { ?>
    <h1 class="sap-entry-title"><?php echo $taxonomy->labels->name.' '.__("Index", "smart-audio-playlists"); ?></h1>
    <?php } ?>

    <div class="sap-index-playlists-list">
        <?php

            foreach ($terms as $term) {
                $posts = get_posts(array('numberposts' => 4, 'post_type' => 'sapplaylist', 'tax_query' => array(array('taxonomy' => $tax, 'terms' => $term->id))));

            if (!empty($posts)) { ?>

            <div class="sap-index-playlist-term">
                <h3><a href="<?php echo $term->link; ?>"><?php echo $term->name; ?></a></h3>

                <div class="sap-index-term-playlists">
                    <?php foreach ($posts as $post) { ?>
                        <a href="<?php echo get_permalink($post); ?>"><?php the_post_thumbnail(array(48, 48)); ?></a>
                    <?php } ?>
                </div>
            </div>
    
        <?php } } ?>
    </div>
</div>